import 'package:fcs/data/provider/pickup_data_provider.dart';
import 'package:fcs/data/services/pickup_service.dart';
import 'package:fcs/domain/entities/connectivity.dart';
import 'package:fcs/domain/entities/pickup.dart';

class PickupServiceImp implements PickupService {
  PickupServiceImp({
    required this.connectivity,
    required this.pickupDataProvider,
  });

  final Connectivity? connectivity;
  final PickupDataProvider pickupDataProvider;

  @override
  Future<void> completePickup(Pickup pickup) {
    return pickupDataProvider.completePickup(pickup);
  }

  @override
  Future<List<Pickup>> searchPickup(String term) {
    return pickupDataProvider.searchPickup(term);
  }
}
